Summary: Linux/390 specific utilities.
Name: s390utils
Version: 1.1.7
Release: 2
Epoch: 2
License: GPL
Group: System Environment/Base
Source: s390-tools-%{version}.tar.gz
Source1: http://www.enjoy.ne.jp/~gm/program/parsecfg/arc/parsecfg-3.6.7.tar.gz
Source2: s390.sh
Source3: s390.csh
Patch1: s390utils-su.patch
Patch2: s390-tools-fdasd-raid.patch
Patch3: s390-tools-1.1.4-vtoc.patch
Patch4: s390-tools-1.1.6-osasnmpd.patch
Patch5: s390-tools-1.1.6-fmtpercentage.patch
Patch6: http://www.homerow.net//projects/zlinux/multiboot-03.077.diff
Patch7: s390utils-parsecfg.patch
Patch8: s390utils-multiboot2.patch
Patch9: s390-tools-1.1.6-tapeloader.patch
Patch10: s390utils-zipl-operms.patch
Patch11: s390-tools-1.1.7-dasdfmt.patch
BuildRoot: /var/tmp/%{name}-root
ExclusiveArch: s390 s390x
%define _sbindir /sbin

%description
This package contains utilities related to Linux for S/390.
Currently, there are provided the following programs:

  - dasdfmt, which is used to low-level format eckd-dasds with
    either the classic linux disk layout or the new z/OS
    compatible disk layout.
  - fdasd, which is used to create or modify partitions on
    eckd-dasds formatted with the z/OS compatible disk layout.
  - zipl, which is used to make either dasds or tapes bootable
    for system IPL or system dump.
  - zdump, which is used to retrieve system dumps from either
    tapes or dasds.

%prep
%setup -q -n s390-tools-%{version}
%patch1 -p1 -b .su
%patch2 -p1 -b .raid
%patch3 -p1 -b .vtoc
%patch4 -p1 -b .osasnmpd
%patch5 -p1 -b .percentage
tar xzf %{SOURCE1}
mv parsecfg-3.6.7/src/intl.h zipl/src/
mv parsecfg-3.6.7/src/parsecfg.c zipl/src/
mv parsecfg-3.6.7/src/parsecfg.h zipl/include
%patch6 -p1 -b .multiboot
%patch7 -p1 -b .cfgFree
%patch8 -p1 -b .multiboot2
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_lib},sbin,boot,%{_mandir}/man8,usr/sbin,etc/profile.d}
#install -c zipl/src/libparsecfg.so $RPM_BUILD_ROOT/%{_lib}
install -m 644 zipl/boot/{fba0,fba2,eckd0,eckd1a,eckd1b,eckd2,eckd2dump,diag0,diag2,tapedump} $RPM_BUILD_ROOT/boot
install -m 700 zipl/src/zipl $RPM_BUILD_ROOT/sbin
install -m 700 zdump/zgetdump $RPM_BUILD_ROOT/sbin
install -m 644 zdump/zgetdump.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install fdasd/libvtoc.so $RPM_BUILD_ROOT/%{_lib}
install -m 700 dasdfmt/dasdfmt $RPM_BUILD_ROOT/sbin
install -m 644 dasdfmt/dasdfmt.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 700 dasdview/dasdview $RPM_BUILD_ROOT/sbin
install -m 644 dasdview/dasdview.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 700 fdasd/fdasd $RPM_BUILD_ROOT/sbin
install -m 644 fdasd/fdasd.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/profile.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/boot/*
/sbin/*
/%{_lib}/l*
%attr(755,root,root) /etc/profile.d/*
%{_mandir}/man8/*

%changelog
* Fri Jul 25 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- apply dasdfmt patch from 1.2.1

* Fri Jun 20 2003 Phil Knirsch <pknirsch@redhat.com> 1.1.7-1
- Updated to latest upstream version 1.1.7

* Fri May 02 2003 Pete Zaitcev <zaitcev@redhat.com> 1.1.6-7
- Fix usage of initialized permissions for bootmap.

* Tue Apr 29 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add extra tape loader from Pete Zaitcev

* Mon Apr 14 2003 Karsten Hopp <karsten@redhat.de> 2:1.1.6-5
- drop cpint support

* Mon Mar 24 2003 Karsten Hopp <karsten@redhat.de> 1.1.6-4
- use multiboot as default
- add option to disable multiboot 

* Sat Mar 22 2003 Karsten Hopp <karsten@redhat.de> 1.1.6-3
- add multiboot patch

* Mon Mar 10 2003 Karsten Hopp <karsten@redhat.de> 1.1.6-2
- added percentage patch (used by anaconda to display progress bars)

* Thu Feb 27 2003 Phil Knirsch <pknirsch@redhat.com> 1.1.6-1
- Updated to newest upstream version 1.1.6

* Tue Feb 04 2003 Phil Knirsch <pknirsch@redhat.com> 1.1.5-1
- Updated to newest upstream version 1.1.5

* Tue Feb 04 2003 Karsten Hopp <karsten@redhat.de> 1.1.4-3
- install libraries in /lib*, not /usr/lib*, they are required
  by some tools in /sbin

* Sun Feb 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- fix filelist to not include debug files

* Fri Jan 24 2003 Phil Knirsch <pknirsch@redhat.com> 1.1.4-1
- Updated to latest upstream version of IBM.
- Removed all unecessary patches and updated still needed patches.
- Fixed version number. Needed to introduce epoch though.
- A little specfile cleanup.
- Dropped oco-setver and oco-convert as we don't need them anymore.

* Wed Jan 22 2003 Phil Knirsch <pknirsch@redhat.com> 20020226-4
- Added ExclusiveArch tag.

* Mon Oct 21 2002 Phil Knirsch <pknirsch@redhat.com> 20020226-3
- Removed fdisk -> fdasd symlink. Is now provided by util-linux.
- Disabled f5 patch for s390x for now. Enable it later for newer kernels again.

* Mon May 27 2002 Phil Knirsch <pknirsch@redhat.com>
- Fixed dasdview to build on kernels > 2.4.18.

* Wed Apr 24 2002 Karsten Hopp <karsten@redhat.de>
- add IBM 5 patch

* Tue Jan 29 2002 Karsten Hopp <karsten@redhat.de>
- add IBM 4 patch
- add profile.d scripts to set correct TERM in 3270 console

* Thu Dec 18 2001 Karsten Hopp <karsten@redhat.de>
- add cpint programs

* Mon Nov 26 2001 Harald Hoyer <harald@redhat.de> 20011012-6
- fix for #56720

* Thu Nov 15 2001 Karsten Hopp <karsten@redhat.de>
- add fdisk - > fdasd symlink

* Thu Nov 12 2001 Karsten Hopp <karsten@redhat.de>
- add IBM patch (11/09/2001) and redo percentage patch

* Thu Nov 08 2001 Karsten Hopp <karsten@redhat.de>
- re-enable DASD if dasdfmt is interrupted with Ctrl-C

* Mon Nov 05 2001 Harald Hoyer <harald@redhat.de> 20011012-4
- added s390-tools-dasdfmt-percentage.patch

* Mon Oct 22 2001 Karsten Hopp <karsten@redhat.de>
- remove postinstall script

* Mon Oct 15 2001 Karsten Hopp <karsten@redhat.de>
- add IBM's s390-utils-2.patch
- add console to securetty

* Mon Oct 01 2001 Karsten Hopp <karsten@redhat.de>
- added oco-setkver and oco-convert

* Fri Aug 31 2001 Karsten Hopp <karsten@redhat.de>
- don't write error message in silent mode

* Thu Aug 23 2001 Harald Hoyer <harald@redhat.de>
- added s390-tools-dasdfmt-status.patch

* Tue Aug 21 2001 Karsten Hopp <karsten@redhat.de>
- update to the version from Aug 20

* Tue Aug 14 2001 Karsten Hopp <karsten@redhat.de>
- fix permissions

* Mon Aug 13 2001 Karsten Hopp <karsten@redhat.de>
- rename package to s390utils. s390-tools is no longer needed.

* Thu Aug 02 2001 Karsten Hopp <karsten@redhat.de>
- initial build


